PYSCRIPT(1)

NOM
pyscript - Pyscript tool for generating an Encapsulated PostScript (EPS)

SYNOPSIS

pyscript [--version]

pyscript file.py [options] [-o output file name file] [-l log file]

DESCRIPTION

Pyscript allows one to write images using the Python programming language. Use pyscript to create an Encapsulated PostScript (EPS) from a python program using pyscript objects.

An source python file name has to be given to the script. By default, pyscript is written its output to foo.eps where foo.py is the file name of the python program. this behavior can be change by specifying -o output or --output=output to the script.

The path of an alternative log file can also be written using the -l file or --logfile=file.

OPTIONS

--version/-V
    print version and URL of the project.

--help/-h
    print usage information

--output/-o
    Output is written to the given file name

--logfile/-l
    Write the logfile to the given file name

AUTHORS

Pyscript was written by Alexei Gilchrist<aalexei@users.sourceforge.net> and Paul Cochrane<paultcochrane at users.sourceforge.net>.

This manual page was written by Arnaud Fontaine <arnau@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

COPYRIGHT
Copyright © 2006 Arnaud Fontaine